Subject: Re: bug#69528: 30.0.50; [BUG] transient.el is not a member of package--builtin-versions

From: Stefan Kangas <[email-masked]>
Date: Sun, 2 Jun 2024 05:08:58 -0700

Philip Kaludercic <[email-masked]> writes:

>> 2. The way I read the manual, it seems like "Package-Version" should be
>>    preferred over "Version", if it exists:
>>
>>         ‘Package-Version’
>>              If ‘Version’ is not suitable for use by the package manager, then a
>>              package can define ‘Package-Version’; it will be used instead.
>>              This is handy if ‘Version’ is an RCS id or something else that
>>              cannot be parsed by ‘version-to-list’.
>
> FWIW I use this for some of my own scripts that I version using RCS, so
> I'd appreciate it if that functionality would stay.

OK, so let's keep it.  But shouldn't the below be the correct order
according to the above quoted documentation?

diff --git a/lisp/emacs-lisp/lisp-mnt.el b/lisp/emacs-lisp/lisp-mnt.el
index f111a77663c..5db0b50adc3 100644
--- a/lisp/emacs-lisp/lisp-mnt.el
+++ b/lisp/emacs-lisp/lisp-mnt.el
@@ -415,7 +415,8 @@ lm-version
   "Return the version listed in file FILE, or current buffer if FILE is nil.
 This can be found in an RCS or SCCS header."
   (lm-with-file file
-    (or (lm-header "version")
+    (or (lm-header "package-version")
+        (lm-header "version")
         (let ((header-max (lm-code-start)))
 	  (goto-char (point-min))
 	  (cond